/***************************************************************************
 *   Copyright (C) 2004 by Zhang Wei                                       *
 *   brep@163.com                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef CHARIMAGE_H
#define CHARIMAGE_H


#include <vector>

using std::vector;

class CharImage
{
public:
	CharImage(int widthInBits = 16, int height = 16);

	bool testBit(int x, int y);
	void setBit(int x, int y);
	void clearBit(int x, int y);
	operator unsigned char*() { return &image[0]; }
	
	int width() const { return charWidthInBits; }
	int height() const { return charHeight; }
	int size() const { return image.size(); }
	int expandedWidth() const { return charWidthInBytes * 8; }
	
private:
	int charWidthInBits;
	int charWidthInBytes;
	int charHeight;		// in scan lines
	int expandBits;

	vector<unsigned char> image;
};

#endif


	
