/***************************************************************************
 *   Copyright (C) 2004 by Zhang Wei                                       *
 *   brep@163.com                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <qlabel.h>
#include <qpushbutton.h>
#include <qlayout.h>

#include "fonteditor.hxx"
#include "editdialog.hxx"
#include "charimage.hxx"

EditDialog::EditDialog(QWidget *parent, const char *name)
	: QDialog(parent, name)
{
	setCaption(tr("Edit Font Image"));

	fontEditor = new FontEditor(this);

	okButton = new QPushButton(tr("&OK"), this);
	okButton->setDefault(true);

	cancelButton = new QPushButton(tr("&Cancel"), this);

	connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
	connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));

	QHBoxLayout *leftLayout = new QHBoxLayout;
	leftLayout->addWidget(fontEditor);

	QVBoxLayout *rightLayout = new QVBoxLayout;
	rightLayout->addWidget(okButton);
	rightLayout->addWidget(cancelButton);

	QHBoxLayout *mainLayout = new QHBoxLayout(this);
	mainLayout->setMargin(11);
	mainLayout->setSpacing(6);
	mainLayout->addLayout(leftLayout);
	mainLayout->addLayout(rightLayout);
}

void EditDialog::setImage(const CharImage &newImage)
{
	fontEditor->setImage(newImage);
}


	

