/***************************************************************************
 *   Copyright (C) 2004 by Zhang Wei                                       *
 *   brep@163.com                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef FONTEDITOR_H
#define FONTEDITOR_H

#include <qimage.h>
#include <qwidget.h>
#include "charimage.hxx"

class FontEditor : public QWidget
{
	Q_OBJECT
	Q_PROPERTY(int zoomFactor READ zoomFactor WRITE setZoomFactor)
public:
	FontEditor(QWidget *parent = 0, const char *name = 0);

	void setZoomFactor(int newZoom);
	int zoomFactor() const { return zoom; }

	void setImage(const CharImage newImage);
	const CharImage & image() const { return charImage; }
	
	QSize sizeHint() const;
	
protected:
	void mousePressEvent(QMouseEvent *event);
	void mouseMoveEvent(QMouseEvent *event);
	void paintEvent(QPaintEvent *event);

private:
	void drawImagePixel(QPainter *painter, int i, int j);
	void setImagePixel(const QPoint &pos, bool draw);

	int zoom;
	CharImage charImage;
	
};

#endif


		
		
