/***************************************************************************
 *   Copyright (C) 2004 by Zhang Wei                                       *
 *   brep@163.com                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef FONTSHEET_H
#define FONTSHEET_H

#include <qtable.h>

#include "charimage.hxx"

class FontSheet : public QTable
{
	Q_OBJECT
public:
	FontSheet(QWidget *parent = 0, const char *name = 0);

	void clear();
	bool readFile(const QString &fileName);
	bool writeFile(const QString &fileName);

signals:
void modified();


private slots:
	void editImage(int row, int col, int button, const QPoint & mousePos);

private:
	int numRows;
	int numCols;
	vector<CharImage> fontData;
	unsigned char filemode;
	unsigned char imageWidth;
	unsigned char imageHeight;
	unsigned char fontsize[4];
};

#endif
